Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.dom
Interface NodeSetIterator

All Superinterfaces:
  java.util.Iterator

public interface NodeSetIterator
extends java.util.Iterator

An iterator on a node set. Extends the `Iterator` interface with an additional method to reposition the iterator.

Author:
  wolf

Method Summary
`NodeProxy` | `peekNode()` Look ahead: returns the node at the iterator's current position but does not move the iterator to the next node.
`void` | `setPosition(NodeProxy proxy)` Reposition the iterator on the given NodeProxy, so calling `Iterator.next()` will return this NodeProxy.

Methods inherited from interface java.util.Iterator
`hasNext, next, remove`

Method Detail

### peekNode

    public NodeProxy peekNode()

  Look ahead: returns the node at the iterator's current position but does not move the iterator to the next node.

### setPosition

    public void setPosition(NodeProxy proxy)

  Reposition the iterator on the given NodeProxy, so calling `Iterator.next()` will return this NodeProxy. If the node does not exist in the node set, the iterator will be positioned to the end of the set.

  Parameters:
    `proxy` -

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.